Subject: Issues building grub for powerpc64le, could not force big-endian

From: Christopher Baines <[email-masked]>
Date: Tue, 15 Mar 2022 21:11:37 +0000

grub can't be built for powerpc64le, I believe the same failure occurs
with native builds or cross compilation from x86_64. I think this might
have always been the case.

This is the error from the build log:

  checking for options to get big-endian compilation... no
  configure: error: could not force big-endian

Looking in the config.log file, it tries a bunch of options with
different errors, but this one stands out:

  cc1: error: '-m32' not supported in this configuration

I know very little about gcc, but I think this might relate to the
multilib thing, which I'm guessing is disabled for the gcc in use here.

Any ideas about this issue?

Thanks,

Chris